/*
 * $Id: comvar.h,v 1.1 2008/08/08 13:18:16 nbrk Exp $
 */
#ifndef _DEV_IC_COMVAR_H_
#define _DEV_IC_COMVAR_H_

struct uart_attach_args {
	void	*ua_cookie;

	int		(*ua_init)(void *cookie, int speed, int mode);
	void	(*ua_on)(void *cookie);
	void	(*ua_off)(void *cookie);
	void	(*ua_putc)(void *cookie, int blocking, int c);
	int		(*ua_getc)(void *cookie, int blocking);

	/* TODO: get/set speed/mode */
};


struct com_softc {
	struct uart_attach_args	*sc_uaap;

	int 					sc_mode;
	int						sc_speed;
};

#endif /* !_DEV_IC_COMVAR_H_ */
